Table Class Reference

MDI window providing a spreadsheet table with column logic. More...

`#include <Table.h>`

Inheritance diagram for Table:

## Public Types

enum | ColType { Numeric = 0, Text = 1, Date = 2, Time = 3, Month = 4, Day = 5 }
enum | ImportMode { NewColumns, NewRows, Overwrite }
enum | NumericFormat { Default = 0, Decimal = 1, Scientific = 2 }
enum | PlotDesignation { All = -1, None = 0, X = 1, Y = 2, Z = 3, xErr = 4, yErr = 5, Label = 6 }
Public Types inherited from MdiSubWindow
enum | CaptionPolicy { Name = 0, Label = 1, Both = 2 }
| Possible window captions. More...
enum | Status { Hidden = -1, Normal = 0, Minimized = 1, Maximized = 2 }

## Public Slots

MyTable * | table ()
Public Slots inherited from MdiSubWindow

## Public Member Functions

void | adjustColumnsWidth (bool selection=true)
double | avg (int col, int startRow=0, int endRow=-1)
bool | calculate (int col, int startRow, int endRow, bool forceMuParser=false, bool notifyChanges=true)
| Compute specified cells from column formula. More...
bool | calculate ()
| Compute selected cells from column formulae; use current cell if there's no selection. More...
double | cell (int row, int col)
| Return the value of the cell as a double. More...
void | cellEdited (int, int col)
void | clearCell (int row, int col)
void | clearCommands ()
| Clear all column formulae. More...
QVarLengthArray< double > | col (int ycol)
int | colIndex (const QString &name)
QString | colLabel (int col)
QString | colName (int col)
QStringList | colNames ()
int | colPlotDesignation (int col)
QString | columnFormat (int col)
void | columnNumericFormat (int col, char *f, int *precision)
void | columnNumericFormat (int col, int *f, int *precision)
void | columnRange (int c, double *min, double *max)
QStringList | columnsList ()
int | columnType (int col)
QList< int > | columnTypes ()
int | columnWidth (int col)
QStringList | columnWidths ()
int | colX (int col)
int | colY (int col, int xCol=-1, const QStringList &lst=QStringList())
void | copy (Table *m, bool values=true)
QStringList | drawableColumnSelection ()
bool | exportASCII (const QString &fname, const QString &separator, bool withLabels=false, bool exportComments=false, bool exportSelection=false)
bool | exportExcel (const QString &fname, bool withLabels, bool exportComments, bool exportSelection)
bool | exportODF (const QString &fname, bool withLabels, bool exportComments, bool exportSelection)
bool | exportOdsSpreadsheet (const QString &fname, bool withLabels, bool exportComments, bool exportSelection)
void | exportPDF (const QString &fileName)
Table * | extractData (const QString &name, const QString &condition, int startRow=0, int endRow=-1)
int | firstSelectedColumn ()
int | firstXCol ()
void | freeMemory ()
QStringList | getColumnsFormat ()
QStringList | getCommands ()
Q3TableSelection | getSelection ()
void | goToColumn (int col)
| Scroll to column (column starts with 1) More...
void | goToRow (int row)
| Scroll to row (row starts with 1) More...

void

importASCII (const QString &fname, const QString &sep="\t", int ignoredLines=0, bool renameCols=false, bool stripSpaces=false, bool simplifySpaces=false, bool importComments=false, const QString &commentString="", bool readOnly=false, ImportMode importAs=Overwrite, const QLocale &importLocale=QLocale(), int endLine=0, int maxRows=-1, const QList< int > &newColTypes=QList< int >(), const QStringList &colFormats=QStringList())

void | init (int rows, int cols)
bool | isColumnSelected (int col, bool full=false)
bool | isEmptyColumn (int col)
bool | isEmptyRow (int row)
bool | isReadOnlyColumn (int col)
bool | isRowSelected (int row, bool full=false)
void | loadHeader (QStringList header)
double | maxColumnValue (int col, int startRow=0, int endRow=-1)
double | minColumnValue (int col, int startRow=0, int endRow=-1)
void | moveCurrentCell ()
bool | muParserCalculate (int col, int startRow, int endRow, bool notifyChanges=true)
| Compute specified cells from column formula (optimized for muParser). More...
int | nonEmptyRows ()
bool | noXColumn ()
bool | noYColumn ()
int | numCols ()
int | numRows ()
int | numSelectedRows ()
QList< int > | plotDesignations ()
void | print ()
void | print (QPrinter *)
void | print (const QString &fileName)
void | resizeCols (int)
void | resizeRows (int)
void | saveToMemory (double **cells)
void | saveToMemory ()
int | selectedColsNumber ()
int | selectedColumn ()
QStringList | selectedColumns ()
QStringList | selectedErrColumns ()
QStringList | selectedYColumns ()
QStringList | selectedYLabels ()
void | setAscValues ()
void | setAutoUpdateValues (bool on=true)
void | setCell (int row, int col, double val)
void | setColName (int col, const QString &text, bool enumerateRight=false, bool warn=true)
void | setColNumericFormat (int col)
void | setColNumericFormat (int f, int prec, int col, bool updateCells=true)
void | setColPlotDesignation (int col, PlotDesignation pd)
void | setColumnsFormat (const QStringList &lst)
void | setColumnType (int col, ColType val)
void | setColumnTypes (QList< int > ctl)
void | setColumnTypes (const QStringList &ctl)
void | setColumnWidth (int width, bool allCols)
void | setColumnWidth (int col, int width)
void | setColWidths (const QStringList &widths)
void | setCommand (int col, const QString &com)
| Set formula for column col. More...
void | setCommands (const QStringList &com)
| Set all column formulae. More...
void | setCommands (const QString &com)
| Set all column formulae. More...
bool | setDateFormat (const QString &format, int col, bool updateCells=true)
void | setDayFormat (const QString &format, int col, bool updateCells=true)
void | setHeader (QStringList header)
void | setHeaderColType ()
void | setMonthFormat (const QString &format, int col, bool updateCells=true)
void | setNormalRandomValues ()
void | setNormalRandomValues (int col, int startRow=0, int endRow=-1, double sigma=1.0)
void | setNumCols (int cols)
void | setNumericPrecision (int prec)
| Sets the number of significant digits. More...
void | setNumRows (int rows)
void | setPlotDesignation (PlotDesignation pd, bool rightColumns=false)
void | setRandomValues ()
void | setRandomValues (int col, int startRow=0, int endRow=-1)
void | setReadOnlyColumn (int col, bool on=true)
void | setSelectedCol (int col)
void | setText (int row, int col, const QString &text)
void | setTextFormat (int col)
bool | setTimeFormat (const QString &format, int col, bool updateCells=true)
virtual QString | sizeToString ()
| Size of the widget as a string. More...
double | sum (int col, int startRow=0, int endRow=-1)
| Table (ScriptingEnv *env, int r, int c, const QString &label, ApplicationWindow *parent, const QString &name=QString(), Qt::WFlags f=0)
QString | text (int row, int col)
void | updateDecimalSeparators (const QLocale &oldSeparators)
| Updates the decimal separators when importing ASCII files on user request. More...
void | updateValues (Table *, const QString &columnName)
| Recalculates values in all columns with formulas containing. More...
QStringList | writableSelectedColumns ()
QStringList | YColumns ()
Event Handlers
bool | eventFilter (QObject *object, QEvent *e)
void | customEvent (QEvent *e)
Column Operations
void | removeCol ()
void | removeCol (const QStringList &list)
void | insertCol ()
virtual void | insertCols (int start, int count)
virtual void | addCol (PlotDesignation pd=Y)
void | addColumns (int c)
virtual void | moveColumn (int, int, int)
void | swapColumns (int, int)
void | moveColumnBy (int cols)
void | hideSelectedColumns ()
void | showAllColumns ()
void | hideColumn (int col, bool=true)
bool | isColumnHidden (int col)
Sorting
void | sortColAsc ()
| Sort the current column in ascending order. More...
void | sortColDesc ()
| Sort the current column in descending order. More...
void | sortColumn (int col=-1, int order=0)
| Sort the specified column. More...
void | sortTableDialog ()
| Display a dialog with some options for sorting all columns. More...
void | sort (int type=0, int order=0, const QString &leadCol=QString())
| Sort all columns as in sortColumns(const QStringList&,int,int,const QString&). More...
void | sortColumns (int type=0, int order=0, const QString &leadCol=QString())
| Sort selected columns as in sortColumns(const QStringList&,int,int,const QString&). More...
void | sortColumns (const QStringList &cols, int type=0, int order=0, const QString &leadCol=QString())
| Sort the specified columns. More...
void | sortColumnsDialog ()
| Display a dialog with some options for sorting the selected columns. More...
Normalization
void | normalizeCol (int col=-1)
void | normalizeSelection ()
void | normalize ()
Row Operations
void | deleteSelectedRows ()
void | deleteRows (int startRow, int endRow)
void | insertRow ()
void | moveRow (bool up=true)
void | cutSelection ()
| Selection Operations. More...
void | copySelection ()
void | clearSelection ()
void | pasteSelection ()
void | selectAllTable ()
void | deselect ()
void | clear ()
Public Member Functions inherited from MdiSubWindow
ApplicationWindow * | applicationWindow ()
| Returns a pointer to the parent application. More...
void | askOnCloseEvent (bool ask)
| Toggle the "ask on close" flag. More...
QString | aspect ()
| Return the window status as a string. More...
QString | birthDate ()
| Return the creation date. More...
CaptionPolicy | captionPolicy ()
| Return the caption policy. More...
void | closeEvent (QCloseEvent *)
| Close event handler. More...
bool | eventFilter (QObject *object, QEvent *e)
| Filters other object's events (customizes title bar's context menu) More...
Folder * | folder ()
| Returns the pointer to the parent folder of the window. More...
| MdiSubWindow (const QString &label=QString(), ApplicationWindow *app=0, const QString &name=QString(), Qt::WFlags f=0)
| Constructor. More...
QSize | minRestoreSize ()
| Returns the size the window had before a change state event to minimized. More...
QString | name ()
| Return the window name. More...
void | notifyChanges ()
| Notifies the main application that the window has been modified. More...
void | resizeEvent (QResizeEvent *)
void | restoreWindow ()
| Show window making sure that layers in MultiLayer windows are not resized. More...
void | setBirthDate (const QString &s)
| Set the creation date. More...
void | setCaptionPolicy (CaptionPolicy policy)
| Set the caption policy. More...
void | setFolder (Folder *f)
| Initializes the pointer to the parent folder of the window. More...
virtual void | setHidden ()
| Notifies that a window was hidden by a direct user action. More...
void | setMaximized ()
void | setMinimized ()
void | setName (const QString &s)
| Set the window name. More...
void | setNormal ()
void | setStatus (Status s)
| Set the window status flag (hidden, normal, minimized or maximized) More...
void | setWindowLabel (const QString &s)
| Set the window label. More...
Status | status ()
| Return the window status flag (hidden, normal, minimized or maximized) More...
QString | windowLabel ()
| Return the window label. More...
Public Member Functions inherited from scripted
| scripted (ScriptingEnv *env)
void | scriptingChangeEvent (ScriptingChangeEvent *)
ScriptingEnv * | scriptingEnv ()
| ~scripted ()

## Static Public Member Functions

static QDateTime | dateTime (double val)
static double | fromDateTime (const QDateTime &dt)
static double | fromTime (const QTime &t)
Static Public Member Functions inherited from MdiSubWindow
static QString | parseAsciiFile (const QString &fname, const QString &commentString, int endLine, int ignoreFirstLines, int maxRows, int &rows)
| Static function used as a workaround for ASCII files having end line char != ' '. More...

## Saving and Restoring

MyTable * | d_table
bool | d_show_comments
QStringList | commands
QStringList | col_format
QStringList | comments
QStringList | col_label
QList< int > | colTypes
QList< int > | col_plot_type
int | selectedCol
int | d_numeric_precision
double ** | d_saved_cells
virtual void | save (const QString &fn, const QString &geometry, bool=false)
void | restore (const QStringList &lst)
| Not implemented yet. More...
QString | saveHeader ()
QString | saveComments ()
QString | saveCommands ()
QString | saveColumnWidths ()
QString | saveColumnTypes ()
QString | saveReadOnlyInfo ()
QString | saveHiddenColumnsInfo ()
void | setBackgroundColor (const QColor &col)
void | setTextColor (const QColor &col)
void | setHeaderColor (const QColor &col)
void | setTextFont (const QFont &fnt)
void | setHeaderFont (const QFont &fnt)
int | verticalHeaderWidth ()
QString | comment (int col)
void | setColComment (int col, const QString &s)
QStringList | colComments ()
void | setColComments (const QStringList &lst)
void | showComments (bool on=true)
bool | commentsEnabled ()
void | notifyChanges ()
| This slot notifies the main application that the table has been modified. Triggers the update of 2D plots. More...
void | notifyChanges (const QString &colName)
void | colWidthModified (int, int, int)
| Notifies the main application that the width of a table column has been modified by the user. More...
void | changedColHeader (const QString &, const QString &)
void | removedCol (const QString &)
void | addedCol (const QString &)
void | removedCol (int)
void | colIndexChanged (int, int)
void | modifiedData (Table *, const QString &)
void | optionsDialog ()
void | colValuesDialog ()
void | resizedTable (QWidget *)
void | showContextMenu (bool selection)
void | clearCol ()
void | setColumnHeader (int index, const QString &label)
| Internal function to change the column header. More...

## Additional Inherited Members

Signals inherited from MdiSubWindow
void | closedWindow (MdiSubWindow *)
| Emitted when the window was closed. More...
void | hiddenWindow (MdiSubWindow *)
| Emitted when the window was hidden. More...
void | modifiedWindow (MdiSubWindow *)
void | resizedWindow (MdiSubWindow *)
void | showContextMenu ()
| Show the context menu. More...
void | statusChanged (MdiSubWindow *)
| Emitted when the window status changed. More...
Protected Member Functions inherited from MdiSubWindow
virtual void | changeEvent (QEvent *event)
| Catches status changes. More...
Protected Attributes inherited from scripted
ScriptingEnv * | scriptEnv

## Detailed Description

MDI window providing a spreadsheet table with column logic.

# Future Plans

Port to the Model/View approach used in Qt4 and get rid of the Qt3Support dependancy. [ assigned to thzs ]

## Member Enumeration Documentation

enum Table::ColType

Enumerator
Numeric |
Text |
Date |
Time |
Month |
Day |

enum Table::ImportMode

Enumerator
NewColumns | add file as new columns to this table
NewRows | add file as new rows to this table
Overwrite | replace content of table with the imported file

enum Table::NumericFormat

Enumerator
Default |
Decimal |
Scientific |

enum Table::PlotDesignation

Enumerator
All |
None |
X |
Y |
Z |
xErr |
yErr |
Label |

## Constructor & Destructor Documentation

Table::Table | ( | ScriptingEnv * | env,
|  | int | r,
|  | int | c,
|  | const QString & | label,
|  | ApplicationWindow * | parent,
|  | const QString & | name = `QString()`,
|  | Qt::WFlags | f = `0`
| ) |  |

References init().

## Member Function Documentation

void Table::addCol | ( | PlotDesignation | pd = `Y` | ) |

virtual

References addedCol(), col_format, col_label, col_plot_type, colTypes, commands, comments, d_numeric_precision, d_table, MdiSubWindow::modifiedWindow(), Numeric, and setHeaderColType().

Referenced by ErrDialog::add(), TableStatistics::addCol(), ApplicationWindow::addColToTable(), Correlation::addResultCurve(), Convolution::addResultCurve(), and Differentiation::output().

void Table::addColumns | ( | int | c | ) |

References addedCol(), col_format, col_label, col_plot_type, colTypes, commands, comments, d_numeric_precision, d_table, Numeric, and Y.

Referenced by importASCII(), pasteSelection(), resizeCols(), and setNumCols().

void Table::addedCol | ( | const QString & |  | ) |

signal

Referenced by addCol(), and addColumns().

void Table::adjustColumnsWidth | ( | bool | selection = `true` | ) |

References d_table, and MdiSubWindow::modifiedWindow().

Referenced by ApplicationWindow::adjustColumnWidth().

double Table::avg | ( | int | col,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References colTypes, d_table, Numeric, and sum().

Referenced by muParserScript::avg().

bool Table::calculate | ( | int | col,
|  | int | startRow,
|  | int | endRow,
|  | bool | forceMuParser = `false`,
|  | bool | notifyChanges = `true`
| ) |  |

Compute specified cells from column formula.

References MdiSubWindow::applicationWindow(), col(), col_format, col_label, colName(), colTypes, columnNumericFormat(), commands, Script::compile(), d_table, Date, dateTime(), Script::eval(), modifiedData(), MdiSubWindow::modifiedWindow(), muParserCalculate(), ScriptingEnv::newScript(), Numeric, numRows(), print(), resizeRows(), scripted::scriptEnv, setAutoUpdateValues(), Script::setDouble(), and Time.

Referenced by SetColValuesDialog::apply().

bool Table::calculate | ( |  | ) |

Compute selected cells from column formulae; use current cell if there's no selection.

References col(), and getSelection().

Referenced by updateValues().

double Table::cell | ( | int | row,
|  | int | col
| ) |  |

Return the value of the cell as a double.

References col(), col_format, colTypes, d_table, Date, fromDateTime(), fromTime(), and Time.

Referenced by FFTDialog::activateDataSet(), Graph3D::addRibbon(), muParserScript::col(), exportODF(), FrequencyCountDialog::FrequencyCountDialog(), importASCII(), PieCurve::initLabels(), SubtractDataDialog::interpolate(), Graph3D::loadData(), maxColumnValue(), minColumnValue(), normalizeCol(), save(), Statistics::setData(), Correlation::setDataFromTable(), Convolution::setDataFromTable(), FFT::setDataFromTable(), FFTDialog::setTable(), Fit::setWeightingData(), sortColumn(), sortColumns(), ApplicationWindow::stemPlot(), BaselineDialog::subtractBaseline(), muParserScript::tableCell(), muParserScript::tablecol(), DataCurve::tableRow(), ApplicationWindow::tableToMatrix(), TableStatistics::update(), Graph3D::updateDataXY(), and Graph3D::updateScales().

void Table::cellEdited | ( | int | row,
|  | int | col
| ) |  |

References colName(), columnNumericFormat(), columnType(), d_table, Script::eval(), modifiedData(), MdiSubWindow::modifiedWindow(), ScriptingEnv::newScript(), Numeric, scripted::scriptEnv, Script::setInt(), and text().

Referenced by init().

void Table::changedColHeader | ( | const QString & | ,
|  | const QString & |
| ) |  |

signal

Referenced by importASCII(), TableStatistics::setBase(), and setColName().

void Table::clear | ( |  | ) |

References colName(), d_table, modifiedData(), and MdiSubWindow::modifiedWindow().

Referenced by ApplicationWindow::clearTable().

void Table::clearCell | ( | int | row,
|  | int | col
| ) |  |

References colName(), d_table, modifiedData(), and MdiSubWindow::modifiedWindow().

Referenced by DataPickerTool::removePoint().

void Table::clearCol | ( |  | ) |

private

References colName(), d_table, modifiedData(), and selectedCol.

Referenced by clearSelection().

void Table::clearCommands | ( |  | ) |

Clear all column formulae.

References commands.

Referenced by ExtractDataDialog::clearFormulas(), and SetColValuesDialog::clearFormulas().

void Table::clearSelection | ( |  | ) |

References clearCol(), col(), col_label, colIndex(), colName(), d_table, modifiedData(), MdiSubWindow::modifiedWindow(), MdiSubWindow::name(), selectedCol, and selectedColumns().

Referenced by cutSelection().

QVarLengthArray< double > Table::col | ( | int | ycol | ) |

References d_table, and Y.

Referenced by calculate(), cell(), clearSelection(), colLabel(), colName(), colPlotDesignation(), columnFormat(), columnNumericFormat(), columnType(), comment(), eventFilter(), moveCurrentCell(), muParserCalculate(), normalizeCol(), removeCol(), restore(), saveCommands(), saveToMemory(), setColComment(), setColName(), setColNumericFormat(), setColPlotDesignation(), setColumnType(), setDateFormat(), setDayFormat(), setMonthFormat(), setPlotDesignation(), setSelectedCol(), setTextFormat(), setTimeFormat(), sortColumn(), sortColumns(), and writableSelectedColumns().

QStringList Table::colComments | ( |  | ) |

inline

References comments.

Referenced by copy().

int Table::colIndex | ( | const QString & | name | ) |

References col_label.

Referenced by FFTDialog::activateDataSet(), ErrDialog::add(), Graph::addCurves(), Graph3D::addRibbon(), Graph3D::changeDataColumn(), RangeSelectorTool::clearMultipleSelection(), RangeSelectorTool::clearSelectedCurve(), clearSelection(), Graph3D::copy(), BaselineDialog::createBaseline(), CreateBinMatrixDialog::CreateBinMatrixDialog(), ApplicationWindow::differentiate(), Graph3D::dropEvent(), RangeSelectorTool::emitStatusText(), SubtractLineTool::finalize(), PieCurve::initLabels(), Graph::insertCurve(), Graph3D::insertNewData(), IntegrationDialog::integrateTable(), SubtractDataDialog::interpolate(), QwtHistogram::loadData(), VectorCurve::loadData(), ErrorBarsCurve::loadData(), PieCurve::loadData(), BoxCurve::loadData(), DataCurve::loadData(), GriddingDialog::loadDataFromTable(), DataCurve::loadLabels(), DataPickerTool::movePoint(), ApplicationWindow::multilayerPlot(), normalizeSelection(), LegendWidget::parse(), Graph::parseAxisTitle(), DataPickerTool::pasteSelection(), RangeSelectorTool::pasteSelection(), pasteSelection(), PlotWizard::plot3D(), ApplicationWindow::plotXYZ(), removeCol(), DataPickerTool::removePoint(), Graph3D::restore(), TranslateCurveTool::selectCurvePoint(), TranslateCurveTool::selectDestination(), DataPickerTool::selectTableRow(), setAscValues(), Statistics::setData(), Correlation::setDataFromTable(), Convolution::setDataFromTable(), FFT::setDataFromTable(), Filter::setDataFromTable(), Graph::setLabelsTextFormat(), setNormalRandomValues(), setPlotDesignation(), setRandomValues(), ApplicationWindow::setReadOnlyCol(), ApplicationWindow::setReadOnlyColumns(), ApplicationWindow::setReadWriteColumns(), Graph3D::setScales(), DataPickerTool::setSelection(), FFTDialog::setTable(), Fit::setWeightingData(), ApplicationWindow::showBinMatrixDialog(), ApplicationWindow::showTable(), sortColumns(), ApplicationWindow::stemPlot(), BaselineDialog::subtractBaseline(), ApplicationWindow::swapColumns(), muParserScript::tablecol(), DataCurve::tableRow(), ApplicationWindow::tableToMatrixRegularXYZ(), TableStatistics::update(), Graph3D::updateData(), and writableSelectedColumns().

void Table::colIndexChanged | ( | int | ,
|  | int |
| ) |  |

signal

Referenced by moveColumnBy(), swapColumns(), and TableStatistics::TableStatistics().

QString Table::colLabel | ( | int | col | ) |

References col(), col_label, and d_table.

Referenced by CurvesDialog::addFolderItems(), ApplicationWindow::columnsList(), importASCII(), Differentiation::output(), LegendWidget::parse(), saveHeader(), TableStatistics::setBase(), Graph::setLabelsTextFormat(), TableStatistics::update(), TableDialog::updateColumn(), SetColValuesDialog::updateColumn(), ApplicationWindow::updateCompleter(), SubtractDataDialog::updateTableColumns(), BaselineDialog::updateTableColumns(), and updateValues().

QString Table::colName | ( | int | col | ) |

References col(), and col_label.

Referenced by ErrDialog::add(), Graph::addCurves(), Correlation::addResultCurve(), Convolution::addResultCurve(), ApplicationWindow::addWindowsListToCompleter(), DrawPointTool::appendPoint(), calculate(), cellEdited(), Graph3D::changeDataColumn(), clear(), clearCell(), clearCol(), clearSelection(), colY(), ApplicationWindow::differentiate(), FrequencyCountDialog::FrequencyCountDialog(), importASCII(), ApplicationWindow::initCompleter(), Graph::insertCurve(), IntegrationDialog::integrateTable(), Graph3D::loadData(), muParserCalculate(), ApplicationWindow::newStemPlot(), normalizeCol(), notifyChanges(), ApplicationWindow::openGraph(), FFT::output(), pasteSelection(), ApplicationWindow::plot3DBars(), ApplicationWindow::plot3DRibbon(), ApplicationWindow::plot3DScatter(), ApplicationWindow::plot3DTrajectory(), ApplicationWindow::plotXYZ(), ApplicationWindow::removeWindowFromLists(), resizeCols(), resizeRows(), TableStatistics::setBase(), setColNumericFormat(), Filter::setDataFromTable(), DataCurve::setDataSource(), setDateFormat(), setDayFormat(), setMonthFormat(), setNormalRandomValues(), setRandomValues(), setTimeFormat(), AnovaDialog::showCurrentFolder(), sortColumn(), sortColumns(), StudentTestDialog::StudentTestDialog(), TableStatistics::update(), ApplicationWindow::updateCompleter(), and writableSelectedColumns().

QStringList Table::colNames | ( |  | ) |

inline

References col_label.

Referenced by Correlation::addResultCurve(), Convolution::addResultCurve(), muParserScript::avg(), muParserScript::col(), copy(), exportASCII(), exportODF(), muParserScript::max(), muParserScript::min(), FitDialog::selectSrcTable(), ExtractDataDialog::setTable(), SetColValuesDialog::setTable(), sortTableDialog(), muParserScript::sum(), and AssociationsDialog::updateTable().

int Table::colPlotDesignation | ( | int | col | ) |

inline

References col(), and col_plot_type.

Referenced by Graph::addCurves(), CurvesDialog::addFolderItems(), ApplicationWindow::columnsList(), Graph3D::dropEvent(), ApplicationWindow::multilayerPlot(), Graph::setLabelsTextFormat(), ApplicationWindow::showColMenu(), ApplicationWindow::tableToMatrixRegularXYZ(), TableDialog::updateColumn(), SubtractDataDialog::updateTableColumns(), BaselineDialog::updateTableColumns(), and ApplicationWindow::validFor3DPlot().

QString Table::columnFormat | ( | int | col | ) |

inline

References col(), and col_format.

Referenced by Graph::insertCurve(), DataCurve::loadData(), DataCurve::tableRow(), and TableDialog::updateColumn().

void Table::columnNumericFormat | ( | int | col,
|  | char * | f,
|  | int * | precision
| ) |  |

References col(), and col_format.

Referenced by calculate(), cellEdited(), importASCII(), DataPickerTool::movePoint(), muParserCalculate(), normalizeCol(), DataPickerTool::pasteSelection(), RangeSelectorTool::pasteSelection(), pasteSelection(), TranslateCurveTool::selectDestination(), setAscValues(), setCell(), setColNumericFormat(), setNormalRandomValues(), setRandomValues(), sortColumn(), sortColumns(), TableDialog::updateColumn(), and updateDecimalSeparators().

void Table::columnNumericFormat | ( | int | col,
|  | int * | f,
|  | int * | precision
| ) |  |

References col(), and col_format.

void Table::columnRange | ( | int | c,
|  | double * | min,
|  | double * | max
| ) |  |

References d_table, and getSelection().

Referenced by CreateBinMatrixDialog::CreateBinMatrixDialog().

QStringList Table::columnsList | ( |  | ) |

References col_label, and d_table.

Referenced by PlotDialog::setActiveCurve(), and FFTDialog::setTable().

int Table::columnType | ( | int | col | ) |

inline

References col(), and colTypes.

Referenced by cellEdited(), RangeSelectorTool::emitStatusText(), Graph::insertCurve(), DataCurve::loadData(), DataPickerTool::movePoint(), ApplicationWindow::openTable(), DataPickerTool::removePoint(), TranslateCurveTool::selectDestination(), setAscValues(), Filter::setDataFromTable(), DataPickerTool::setSelection(), sortColumn(), sortColumns(), DataCurve::tableRow(), TableStatistics::update(), and TableDialog::updateColumn().

QList<int> Table::columnTypes | ( |  | ) |

inline

References colTypes.

Referenced by copy().

int Table::columnWidth | ( | int | col | ) |

References d_table.

Referenced by copy(), and TableDialog::updateColumn().

QStringList Table::columnWidths | ( |  | ) |

References d_table.

void Table::colValuesDialog | ( |  | ) |

signal

void Table::colWidthModified | ( | int | ,
|  | int | ,
|  | int |
| ) |  |

Notifies the main application that the width of a table column has been modified by the user.

References MdiSubWindow::modifiedWindow(), and setHeaderColType().

Referenced by init().

int Table::colX | ( | int | col | ) |

References col_plot_type, d_table, and X.

Referenced by Graph::addCurves(), Graph3D::changeDataColumn(), colY(), BaselineDialog::createBaseline(), CreateBinMatrixDialog::CreateBinMatrixDialog(), ApplicationWindow::differentiate(), Graph3D::dropEvent(), Graph::insertCurve(), Graph3D::insertNewData(), IntegrationDialog::integrateTable(), SubtractDataDialog::interpolate(), GriddingDialog::loadDataFromTable(), ApplicationWindow::plotXYZ(), ApplicationWindow::showBinMatrixDialog(), and ApplicationWindow::tableToMatrixRegularXYZ().

int Table::colY | ( | int | col,
|  | int | xCol = `-1`,
|  | const QStringList & | lst = `QStringList()`
| ) |  |

References col_plot_type, colName(), colX(), numCols(), and Y.

Referenced by Graph::addCurves(), Graph3D::changeDataColumn(), Graph3D::dropEvent(), Graph3D::insertNewData(), GriddingDialog::loadDataFromTable(), ApplicationWindow::plotXYZ(), and ApplicationWindow::tableToMatrixRegularXYZ().

QString Table::comment | ( | int | col | ) |

References col(), comments, and d_table.

Referenced by LegendWidget::parse(), Graph::parseAxisTitle(), and TableDialog::updateColumn().

bool Table::commentsEnabled | ( |  | ) |

inline

References d_show_comments.

Referenced by copy(), and TableDialog::TableDialog().

void Table::copy | ( | Table * | m,
|  | bool | values = `true`
| ) |  |

References col_format, col_label, col_plot_type, colComments(), colNames(), columnTypes(), columnWidth(), commands, comments, commentsEnabled(), d_show_comments, d_table, getColumnsFormat(), getCommands(), isColumnHidden(), isReadOnlyColumn(), plotDesignations(), setColumnTypes(), setHeaderColType(), and text().

Referenced by ApplicationWindow::clone(), and extractData().

void Table::copySelection | ( |  | ) |

References MdiSubWindow::applicationWindow(), d_table, ApplicationWindow::endOfLine(), and text().

Referenced by cutSelection().

void Table::customEvent | ( | QEvent * | e | ) |

References SCRIPTING_CHANGE_EVENT, and scripted::scriptingChangeEvent().

void Table::cutSelection | ( |  | ) |

Selection Operations.

References clearSelection(), and copySelection().

QDateTime Table::dateTime | ( | double | val | ) |

static

Referenced by calculate(), ScaleDraw::labelString(), muParserCalculate(), setDateFormat(), sortColumn(), sortColumns(), and AxesDialog::updateScale().

void Table::deleteRows | ( | int | startRow,
|  | int | endRow
| ) |  |

References d_table, and notifyChanges().

Referenced by deleteSelectedRows(), and ApplicationWindow::showDeleteRowsDialog().

void Table::deleteSelectedRows | ( |  | ) |

References d_table, and deleteRows().

void Table::deselect | ( |  | ) |

References d_table.

QStringList Table::drawableColumnSelection | ( |  | ) |

References col_label, col_plot_type, d_table, Label, xErr, Y, and yErr.

Referenced by ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), ApplicationWindow::generate2DGraph(), ApplicationWindow::multilayerPlot(), and ApplicationWindow::plotCustomLayout().

bool Table::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

References col(), d_table, MdiSubWindow::eventFilter(), MdiSubWindow::modifiedWindow(), numSelectedRows(), optionsDialog(), selectedCol, selectedColsNumber(), selectedColumns(), and MdiSubWindow::showContextMenu().

bool Table::exportASCII | ( | const QString & | fname,
|  | const QString & | separator,
|  | bool | withLabels = `false`,
|  | bool | exportComments = `false`,
|  | bool | exportSelection = `false`
| ) |  |

References MdiSubWindow::applicationWindow(), colNames(), comments, d_table, ApplicationWindow::endOfLine(), exportExcel(), exportODF(), exportOdsSpreadsheet(), ApplicationWindow::exportPlugin(), and ImportExportPlugin::exportTable().

bool Table::exportExcel | ( | const QString & | fname,
|  | bool | withLabels,
|  | bool | exportComments,
|  | bool | exportSelection
| ) |  |

References MdiSubWindow::applicationWindow(), ApplicationWindow::exportPlugin(), and ImportExportPlugin::exportTable().

Referenced by exportASCII(), and exportOdsSpreadsheet().

bool Table::exportODF | ( | const QString & | fname,
|  | bool | withLabels,
|  | bool | exportComments,
|  | bool | exportSelection
| ) |  |

References cell(), colNames(), comments, d_table, and table().

Referenced by exportASCII().

bool Table::exportOdsSpreadsheet | ( | const QString & | fname,
|  | bool | withLabels,
|  | bool | exportComments,
|  | bool | exportSelection
| ) |  |

References MdiSubWindow::applicationWindow(), exportExcel(), and MdiSubWindow::name().

Referenced by exportASCII().

void Table::exportPDF | ( | const QString & | fileName | ) |

virtual

Reimplemented from MdiSubWindow.

References print().

Table * Table::extractData | ( | const QString & | name,
|  | const QString & | condition,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References MdiSubWindow::applicationWindow(), muParserScript::codeLines(), muParserScript::compile(), copy(), d_table, muParserScript::defineVariable(), muParserScript::eval(), muParserScript::evalSingleLine(), ApplicationWindow::newTable(), numRows(), scripted::scriptEnv, setNumCols(), setNumRows(), setText(), and ApplicationWindow::table().

Referenced by ExtractDataDialog::apply().

int Table::firstSelectedColumn | ( |  | ) |

References d_table.

Referenced by pasteSelection(), and ApplicationWindow::showTableContextMenu().

int Table::firstXCol | ( |  | ) |

References col_plot_type, d_table, and X.

Referenced by FFTDialog::setTable().

void Table::freeMemory | ( |  | ) |

References d_saved_cells, and d_table.

Referenced by TableDialog::closeEvent().

double Table::fromDateTime | ( | const QDateTime & | dt | ) |

static

Referenced by cell(), DataCurve::loadData(), Graph::recoverObsoleteDateTimeScale(), saveToMemory(), setDateFormat(), sortColumn(), sortColumns(), and AxesDialog::updatePlot().

double Table::fromTime | ( | const QTime & | t | ) |

static

Referenced by cell(), DataCurve::loadData(), Graph::recoverObsoleteDateTimeScale(), saveToMemory(), and setTimeFormat().

QStringList Table::getColumnsFormat | ( |  | ) |

inline

References col_format.

Referenced by copy().

QStringList Table::getCommands | ( |  | ) |

inline

References commands.

Referenced by SetColValuesDialog::apply(), copy(), and SetColValuesDialog::updateColumn().

Q3TableSelection Table::getSelection | ( |  | ) |

References d_table.

Referenced by calculate(), columnRange(), ApplicationWindow::generate2DGraph(), ApplicationWindow::integrate(), GriddingDialog::loadDataFromTable(), ApplicationWindow::plotDoubleYAxis(), ApplicationWindow::plotPie(), ApplicationWindow::plotVectXYAM(), ApplicationWindow::plotVectXYXY(), setAscValues(), setNormalRandomValues(), setRandomValues(), IntegrationDialog::setTable(), ApplicationWindow::showBinMatrixDialog(), ApplicationWindow::showColStatistics(), ApplicationWindow::showRowStatistics(), ApplicationWindow::tableToMatrixRegularXYZ(), writableSelectedColumns(), and ApplicationWindow::zoomRectanglePlot().

void Table::goToColumn | ( | int | col | ) |

Scroll to column (column starts with 1)

References d_table, and numCols().

void Table::goToRow | ( | int | row | ) |

Scroll to row (row starts with 1)

References d_table, and numRows().

void Table::hideColumn | ( | int | col,
|  | bool | hide = `true`
| ) |  |

References d_table, and MdiSubWindow::modifiedWindow().

Referenced by TableDialog::apply(), insertCols(), ApplicationWindow::openTable(), and restore().

void Table::hideSelectedColumns | ( |  | ) |

References d_table.

Referenced by ApplicationWindow::hideSelectedColumns().

void Table::importASCII | ( | const QString & | fname,
|  | const QString & | sep = `"\t"`,
|  | int | ignoredLines = `0`,
|  | bool | renameCols = `false`,
|  | bool | stripSpaces = `false`,
|  | bool | simplifySpaces = `false`,
|  | bool | importComments = `false`,
|  | const QString & | commentString = `""`,
|  | bool | readOnly = `false`,
|  | ImportMode | importAs = `Overwrite`,
|  | const QLocale & | importLocale = `QLocale()`,
|  | int | endLine = `0`,
|  | int | maxRows = `-1`,
|  | const QList< int > & | newColTypes = `QList<int>()`,
|  | const QStringList & | colFormats = `QStringList()`
| ) |  |

References addColumns(), MdiSubWindow::applicationWindow(), cell(), changedColHeader(), col_format, col_label, col_plot_type, colLabel(), colName(), colTypes, columnNumericFormat(), commands, comments, d_table, modifiedData(), MdiSubWindow::name(), NewColumns, NewRows, Numeric, Overwrite, MdiSubWindow::parseAsciiFile(), removedCol(), setHeaderColType(), showComments(), Text, and updateDecimalSeparators().

Referenced by ApplicationWindow::importASCII(), and ApplicationWindow::plotFile().

void Table::init | ( | int | rows,
|  | int | cols
| ) |  |

References MdiSubWindow::applicationWindow(), cellEdited(), col_format, col_label, col_plot_type, colTypes, colWidthModified(), commands, comments, d_numeric_precision, d_saved_cells, d_show_comments, d_table, moveColumn(), moveCurrentCell(), notifyChanges(), Numeric, selectAllTable(), selectedCol, setAutoUpdateValues(), setHeaderColType(), X, and Y.

Referenced by Table().

void Table::insertCol | ( |  | ) |

References insertCols(), and selectedCol.

void Table::insertCols | ( | int | start,
|  | int | count
| ) |  |

virtual

References col_format, col_label, col_plot_type, colTypes, commands, comments, d_numeric_precision, d_table, hideColumn(), MdiSubWindow::modifiedWindow(), Numeric, setHeaderColType(), and Y.

Referenced by insertCol(), and TableStatistics::insertCols().

void Table::insertRow | ( |  | ) |

References d_table, and MdiSubWindow::modifiedWindow().

bool Table::isColumnHidden | ( | int | col | ) |

inline

References d_table.

Referenced by copy(), TableStatistics::update(), and TableDialog::updateColumn().

bool Table::isColumnSelected | ( | int | col,
|  | bool | full = `false`
| ) |  |

inline

References d_table.

Referenced by ApplicationWindow::showColStatistics().

bool Table::isEmptyColumn | ( | int | col | ) |

References d_table, and text().

Referenced by ErrDialog::add(), ApplicationWindow::showBinMatrixDialog(), and ApplicationWindow::tableToMatrix().

bool Table::isEmptyRow | ( | int | row | ) |

References d_table, and text().

Referenced by nonEmptyRows(), and save().

bool Table::isReadOnlyColumn | ( | int | col | ) |

References d_table.

Referenced by RangeSelectorTool::clearMultipleSelection(), RangeSelectorTool::clearSelectedCurve(), copy(), DataPickerTool::movePoint(), RangeSelectorTool::pasteSelection(), TranslateCurveTool::selectCurvePoint(), ApplicationWindow::showColMenu(), and TableDialog::updateColumn().

bool Table::isRowSelected | ( | int | row,
|  | bool | full = `false`
| ) |  |

inline

References d_table.

Referenced by ApplicationWindow::showRowStatistics().

void Table::loadHeader | ( | QStringList | header | ) |

References col_label, col_plot_type, Label, None, setHeaderColType(), X, xErr, Y, yErr, and Z.

Referenced by ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), and restore().

double Table::maxColumnValue | ( | int | col,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References cell(), colTypes, d_table, and Numeric.

Referenced by muParserScript::max().

double Table::minColumnValue | ( | int | col,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References cell(), colTypes, d_table, min, and Numeric.

Referenced by muParserScript::min().

void Table::modifiedData | ( | Table * | ,
|  | const QString & |
| ) |  |

signal

Referenced by calculate(), cellEdited(), clear(), clearCell(), clearCol(), clearSelection(), importASCII(), muParserCalculate(), normalizeCol(), notifyChanges(), pasteSelection(), resizeRows(), setAscValues(), setAutoUpdateValues(), TableStatistics::setBase(), setColNumericFormat(), setDateFormat(), setDayFormat(), setMonthFormat(), setNormalRandomValues(), setRandomValues(), setTimeFormat(), sortColumn(), sortColumns(), and TableStatistics::update().

void Table::moveColumn | ( | int | ,
|  | int | fromIndex,
|  | int | toIndex
| ) |  |

virtual

References col_format, col_label, col_plot_type, colTypes, commands, comments, and setHeaderColType().

Referenced by init(), and TableStatistics::moveColumn().

void Table::moveColumnBy | ( | int | cols | ) |

References col_format, col_label, col_plot_type, colIndexChanged(), colTypes, commands, comments, d_table, MdiSubWindow::modifiedWindow(), selectedCol, setHeaderColType(), setSelectedCol(), and swapColumns().

Referenced by ApplicationWindow::moveColumnFirst(), ApplicationWindow::moveColumnLast(), ApplicationWindow::moveColumnLeft(), and ApplicationWindow::moveColumnRight().

void Table::moveCurrentCell | ( |  | ) |

References col(), d_table, and numRows().

Referenced by init().

void Table::moveRow | ( | bool | up = `true` | ) |

References d_table, and MdiSubWindow::modifiedWindow().

Referenced by ApplicationWindow::moveTableRowDown(), and ApplicationWindow::moveTableRowUp().

bool Table::muParserCalculate | ( | int | col,
|  | int | startRow,
|  | int | endRow,
|  | bool | notifyChanges = `true`
| ) |  |

Compute specified cells from column formula (optimized for muParser).

References MdiSubWindow::applicationWindow(), muParserScript::codeLines(), col(), col_format, colName(), colTypes, columnNumericFormat(), commands, muParserScript::compile(), d_table, Date, dateTime(), muParserScript::defineVariable(), muParserScript::eval(), muParserScript::evalSingleLine(), muParserScript::evalSingleLineToString(), modifiedData(), MdiSubWindow::modifiedWindow(), Numeric, numRows(), resizeRows(), scripted::scriptEnv, setAutoUpdateValues(), Text, and Time.

Referenced by calculate().

int Table::nonEmptyRows | ( |  | ) |

References d_table, and isEmptyRow().

void Table::normalize | ( |  | ) |

References col_label, d_table, MdiSubWindow::modifiedWindow(), and normalizeCol().

Referenced by ApplicationWindow::normalizeActiveTable().

void Table::normalizeCol | ( | int | col = `-1` | ) |

References cell(), col(), colName(), colTypes, columnNumericFormat(), d_table, modifiedData(), selectedCol, and Text.

Referenced by normalize(), and normalizeSelection().

void Table::normalizeSelection | ( |  | ) |

References colIndex(), MdiSubWindow::modifiedWindow(), normalizeCol(), and writableSelectedColumns().

Referenced by ApplicationWindow::normalizeSelection().

void Table::notifyChanges | ( |  | ) |

This slot notifies the main application that the table has been modified. Triggers the update of 2D plots.

References MdiSubWindow::applicationWindow(), ApplicationWindow::autoUpdateTableValues(), colName(), d_table, modifiedData(), MdiSubWindow::modifiedWindow(), setAutoUpdateValues(), and updateValues().

Referenced by RangeSelectorTool::clearMultipleSelection(), RangeSelectorTool::clearSelectedCurve(), deleteRows(), SubtractLineTool::finalize(), ApplicationWindow::importASCII(), init(), SubtractDataDialog::interpolate(), DataPickerTool::pasteSelection(), RangeSelectorTool::pasteSelection(), and BaselineDialog::subtractBaseline().

void Table::notifyChanges | ( | const QString & | colName | ) |

References modifiedData(), and MdiSubWindow::modifiedWindow().

bool Table::noXColumn | ( |  | ) |

References col_plot_type, d_table, and X.

Referenced by ApplicationWindow::validFor2DPlot(), and ApplicationWindow::validFor3DPlot().

bool Table::noYColumn | ( |  | ) |

References col_plot_type, d_table, and Y.

Referenced by ApplicationWindow::validFor3DPlot().

int Table::numCols | ( |  | ) |

References d_table.

Referenced by ErrDialog::add(), CurvesDialog::addFolderItems(), Correlation::addResultCurve(), Convolution::addResultCurve(), ApplicationWindow::addWindowsListToCompleter(), TableDialog::apply(), SetColValuesDialog::apply(), ApplicationWindow::clone(), muParserScript::col(), ApplicationWindow::columnsList(), colY(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), goToColumn(), ApplicationWindow::initCompleter(), GriddingDialog::loadDataFromTable(), DataCurve::loadLabels(), ApplicationWindow::moveColumnLast(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), Differentiation::output(), StatisticTest::outputResultsTo(), Anova::outputResultsTo(), ApplicationWindow::removeWindowFromLists(), restore(), StatisticTest::resultTable(), Anova::resultTable(), TableStatistics::save(), saveCommands(), TableStatistics::setBase(), setColumnTypes(), setCommands(), TableDialog::setDateTimeFormat(), TableDialog::setDayFormat(), Graph::setLabelsTextFormat(), TableDialog::setMonthFormat(), TableDialog::setNumericFormat(), ExtractDataDialog::setTable(), SetColValuesDialog::setTable(), TableDialog::setTextFormat(), ApplicationWindow::showColsDialog(), ApplicationWindow::showColStatistics(), Fit::showConfidenceLimits(), AnovaDialog::showCurrentFolder(), Fit::showPredictionLimits(), Fit::showResiduals(), ApplicationWindow::showTableContextMenu(), muParserScript::tableCell(), muParserScript::tablecol(), ApplicationWindow::tableToMatrix(), ApplicationWindow::tableToMatrixRegularXYZ(), TableStatistics::update(), TableDialog::updateColumn(), SetColValuesDialog::updateColumn(), ApplicationWindow::updateCompleter(), AssociationsDialog::updateTable(), SubtractDataDialog::updateTableColumns(), BaselineDialog::updateTableColumns(), updateValues(), ApplicationWindow::validFor2DPlot(), ApplicationWindow::validFor3DPlot(), and Fit::writeParametersToTable().

int Table::numRows | ( |  | ) |

References d_table.

Referenced by ErrDialog::add(), Correlation::addResultCurve(), Graph3D::addRibbon(), DrawPointTool::appendPoint(), FrequencyCountDialog::apply(), calculate(), ApplicationWindow::clone(), muParserScript::col(), BaselineDialog::createBaseline(), DataCurve::DataCurve(), extractData(), FrequencyCountDialog::FrequencyCountDialog(), goToRow(), Graph::insertCurve(), SubtractDataDialog::interpolate(), DataCurve::isFullRange(), Graph3D::loadData(), moveCurrentCell(), muParserCalculate(), Graph::openBoxDiagram(), ApplicationWindow::openGraph(), Differentiation::output(), StatisticTest::outputResultsTo(), Anova::outputResultsTo(), Graph::plotBox(), Graph::plotPie(), Graph::plotVectors(), TableStatistics::save(), TableStatistics::setBase(), CurveRangeDialog::setCurvesToModify(), CurveRangeDialog::setCurveToModify(), Statistics::setData(), Convolution::setDataFromTable(), Correlation::setDataFromTable(), FFT::setDataFromTable(), Filter::setDataFromTable(), setDayFormat(), DataCurve::setFullRange(), Graph::setLabelsTextFormat(), setMonthFormat(), ExtractDataDialog::setTable(), SetColValuesDialog::setTable(), IntegrationDialog::setTable(), Fit::setWeightingData(), ApplicationWindow::showDeleteRowsDialog(), ApplicationWindow::showRowsDialog(), ApplicationWindow::showRowStatistics(), ApplicationWindow::showTableContextMenu(), ApplicationWindow::stemPlot(), muParserScript::tableCell(), muParserScript::tablecol(), TableStatistics::TableStatistics(), ApplicationWindow::tableToMatrix(), ApplicationWindow::tableToMatrixRegularXYZ(), Graph3D::updateDataXY(), Graph3D::updateScales(), updateValues(), and Fit::writeParametersToTable().

int Table::numSelectedRows | ( |  | ) |

References d_table.

Referenced by eventFilter(), and ApplicationWindow::showTableContextMenu().

void Table::optionsDialog | ( |  | ) |

signal

Referenced by eventFilter().

void Table::pasteSelection | ( |  | ) |

References addColumns(), MdiSubWindow::applicationWindow(), ApplicationWindow::clipboardLocale(), col_label, colIndex(), colName(), columnNumericFormat(), comments, d_show_comments, d_table, firstSelectedColumn(), ApplicationWindow::guessEndOfLine(), modifiedData(), MdiSubWindow::modifiedWindow(), MdiSubWindow::name(), setHeaderColType(), showComments(), and text().

QList<int> Table::plotDesignations | ( |  | ) |

inline

References col_plot_type.

Referenced by copy().

void Table::print | ( |  | ) |

virtual

Reimplemented from MdiSubWindow.

Referenced by calculate(), exportPDF(), and print().

void Table::print | ( | QPrinter * | printer | ) |

virtual

Reimplemented from MdiSubWindow.

References d_table, and text().

void Table::print | ( | const QString & | fileName | ) |

References MdiSubWindow::applicationWindow(), and print().

void Table::removeCol | ( |  | ) |

References selectedColumns().

Referenced by TableStatistics::setBase().

void Table::removeCol | ( | const QStringList & | list | ) |

References col(), col_format, col_label, col_plot_type, colIndex(), colTypes, commands, comments, d_table, MdiSubWindow::modifiedWindow(), MdiSubWindow::name(), and removedCol().

void Table::removedCol | ( | const QString & |  | ) |

signal

Referenced by importASCII(), removeCol(), resizeCols(), TableStatistics::setBase(), and TableStatistics::TableStatistics().

void Table::removedCol | ( | int |  | ) |

signal

void Table::resizeCols | ( | int | c | ) |

References addColumns(), col_format, col_label, col_plot_type, colName(), colTypes, commands, comments, d_table, MdiSubWindow::modifiedWindow(), MdiSubWindow::name(), removedCol(), setHeaderColType(), and text().

Referenced by ApplicationWindow::showColsDialog(), and TableStatistics::TableStatistics().

void Table::resizedTable | ( | QWidget * |  | ) |

signal

void Table::resizeRows | ( | int | r | ) |

References colName(), d_table, modifiedData(), MdiSubWindow::modifiedWindow(), and text().

Referenced by calculate(), muParserCalculate(), ApplicationWindow::showRowsDialog(), and TableStatistics::TableStatistics().

void Table::restore | ( | const QStringList & |  | ) |

virtual

Not implemented yet.

Reimplemented from MdiSubWindow.

References MdiSubWindow::applicationWindow(), col(), hideColumn(), loadHeader(), numCols(), ApplicationWindow::restoreWindowGeometry(), MdiSubWindow::setCaptionPolicy(), setColComments(), setColumnTypes(), setColWidths(), setCommand(), setCommands(), setHeaderColType(), setReadOnlyColumn(), and MdiSubWindow::setWindowLabel().

void Table::save | ( | const QString & | fn,
|  | const QString & | geometry,
|  | bool | saveAsTemplate = `false`
| ) |  |

virtual

Reimplemented from MdiSubWindow.

Reimplemented in TableStatistics.

References MdiSubWindow::birthDate(), MdiSubWindow::captionPolicy(), cell(), colTypes, d_table, isEmptyRow(), Numeric, saveColumnTypes(), saveColumnWidths(), saveCommands(), saveComments(), saveHeader(), saveHiddenColumnsInfo(), saveReadOnlyInfo(), and MdiSubWindow::windowLabel().

Referenced by TableStatistics::save(), and ApplicationWindow::saveWindow().

QString Table::saveColumnTypes | ( |  | ) |

References col_format, colTypes, and d_table.

Referenced by TableStatistics::save(), and save().

QString Table::saveColumnWidths | ( |  | ) |

References d_table.

Referenced by TableStatistics::save(), and save().

QString Table::saveCommands | ( |  | ) |

References col(), commands, and numCols().

Referenced by TableStatistics::save(), and save().

QString Table::saveComments | ( |  | ) |

References comments, and d_table.

Referenced by TableStatistics::save(), and save().

QString Table::saveHeader | ( |  | ) |

References col_plot_type, colLabel(), d_table, Label, X, xErr, Y, yErr, and Z.

Referenced by TableStatistics::save(), and save().

QString Table::saveHiddenColumnsInfo | ( |  | ) |

References d_table.

Referenced by TableStatistics::save(), and save().

QString Table::saveReadOnlyInfo | ( |  | ) |

References d_table.

Referenced by TableStatistics::save(), and save().

void Table::saveToMemory | ( | double ** | cells | ) |

inline

References d_saved_cells.

Referenced by TableDialog::updateColumn().

void Table::saveToMemory | ( |  | ) |

References col(), col_format, colTypes, d_saved_cells, d_table, Date, fromDateTime(), fromTime(), Numeric, and Time.

void Table::selectAllTable | ( |  | ) |

References d_table.

Referenced by init().

int Table::selectedColsNumber | ( |  | ) |

References d_table.

Referenced by ApplicationWindow::customColumnActions(), and eventFilter().

int Table::selectedColumn | ( |  | ) |

inline

References selectedCol.

Referenced by TableDialog::apply(), SetColValuesDialog::apply(), ApplicationWindow::customColumnActions(), ApplicationWindow::moveColumnFirst(), ApplicationWindow::moveColumnLast(), TableDialog::nextColumn(), SetColValuesDialog::nextColumn(), ApplicationWindow::plot3DBars(), ApplicationWindow::plot3DRibbon(), ApplicationWindow::plot3DScatter(), ApplicationWindow::plot3DTrajectory(), TableDialog::prevColumn(), SetColValuesDialog::prevColumn(), TableDialog::setDateTimeFormat(), TableDialog::setDayFormat(), TableDialog::setMonthFormat(), TableDialog::setNumericFormat(), SetColValuesDialog::setTable(), TableDialog::setTextFormat(), TableDialog::TableDialog(), and ApplicationWindow::validFor3DPlot().

QStringList Table::selectedColumns | ( |  | ) |

References col_label, d_table, and MdiSubWindow::name().

Referenced by AnovaDialog::AnovaDialog(), ApplicationWindow::autoCorrelate(), clearSelection(), ApplicationWindow::convolute(), ApplicationWindow::correlate(), ApplicationWindow::deconvolute(), eventFilter(), ApplicationWindow::newStemPlot(), ApplicationWindow::normalizeActiveTable(), ApplicationWindow::normalizeSelection(), ApplicationWindow::plot3DBars(), ApplicationWindow::plot3DRibbon(), ApplicationWindow::plot3DScatter(), ApplicationWindow::plot3DTrajectory(), ApplicationWindow::plotPie(), ApplicationWindow::plotVectXYAM(), ApplicationWindow::plotVectXYXY(), removeCol(), setPlotDesignation(), ApplicationWindow::setReadOnlyCol(), ApplicationWindow::setReadOnlyColumns(), ApplicationWindow::setReadWriteColumns(), FFTDialog::setTable(), ApplicationWindow::showColMenu(), ApplicationWindow::showColumnOptionsDialog(), ApplicationWindow::showColumnValuesDialog(), ApplicationWindow::showTableContextMenu(), sortColAsc(), sortColDesc(), sortColumns(), sortColumnsDialog(), StudentTestDialog::StudentTestDialog(), ApplicationWindow::swapColumns(), ApplicationWindow::tableToMatrixRegularXYZ(), and writableSelectedColumns().

QStringList Table::selectedErrColumns | ( |  | ) |

References col_label, col_plot_type, d_table, xErr, and yErr.

QStringList Table::selectedYColumns | ( |  | ) |

References col_label, col_plot_type, d_table, and Y.

Referenced by CreateBinMatrixDialog::CreateBinMatrixDialog(), ApplicationWindow::differentiate(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), ApplicationWindow::integrate(), IntegrationDialog::integrateTable(), ApplicationWindow::plotDoubleYAxis(), IntegrationDialog::setTable(), ApplicationWindow::showBinMatrixDialog(), ApplicationWindow::validFor2DPlot(), ApplicationWindow::waterfallPlot(), and ApplicationWindow::zoomRectanglePlot().

QStringList Table::selectedYLabels | ( |  | ) |

References col_label, col_plot_type, d_table, and Y.

Referenced by Graph::plotBox().

void Table::setAscValues | ( |  | ) |

References col_format, colIndex(), colTypes, columnNumericFormat(), columnType(), d_table, getSelection(), modifiedData(), MdiSubWindow::modifiedWindow(), MdiSubWindow::name(), Numeric, selectedCol, setText(), and writableSelectedColumns().

Referenced by ApplicationWindow::setAscValues().

void Table::setAutoUpdateValues | ( | bool | on = `true` | ) |

References modifiedData(), and updateValues().

Referenced by calculate(), init(), muParserCalculate(), notifyChanges(), and sortColumns().

void Table::setBackgroundColor | ( | const QColor & | col | ) |

References d_table.

void Table::setCell | ( | int | row,
|  | int | col,
|  | double | val
| ) |  |

References columnNumericFormat(), and d_table.

Referenced by ErrDialog::add(), DrawPointTool::appendPoint(), FrequencyCountDialog::apply(), LineProfileTool::calculateLineProfile(), Graph::createTable(), SubtractLineTool::finalize(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), ApplicationWindow::importWaveFile(), IntegrationDialog::integrateTable(), SubtractDataDialog::interpolate(), ApplicationWindow::matrixToTable(), BaselineDialog::modifyBaseline(), ApplicationWindow::openTable(), StatisticTest::outputResultsTo(), Anova::outputResultsTo(), StatisticTest::resultTable(), Anova::resultTable(), Fit::showConfidenceLimits(), Fit::showPredictionLimits(), Fit::showResiduals(), PlotDialog::showStatistics(), BaselineDialog::subtractBaseline(), and TableStatistics::update().

void Table::setColComment | ( | int | col,
|  | const QString & | s
| ) |  |

References col(), comments, d_show_comments, d_table, MdiSubWindow::modifiedWindow(), and setHeaderColType().

Referenced by TableDialog::apply(), Fit::showConfidenceLimits(), and Fit::showPredictionLimits().

void Table::setColComments | ( | const QStringList & | lst | ) |

inline

References comments.

Referenced by ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), restore(), and TableStatistics::TableStatistics().

void Table::setColName | ( | int | col,
|  | const QString & | text,
|  | bool | enumerateRight = `false`,
|  | bool | warn = `true`
| ) |  |

References changedColHeader(), col(), col_label, commands, d_table, MdiSubWindow::modifiedWindow(), setHeaderColType(), and text().

Referenced by Correlation::addResultCurve(), Convolution::addResultCurve(), FrequencyCountDialog::apply(), TableDialog::apply(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), IntegrationDialog::integrateTable(), Fit::showConfidenceLimits(), Fit::showPredictionLimits(), and Fit::showResiduals().

void Table::setColNumericFormat | ( | int | col | ) |

References col(), colTypes, and Numeric.

Referenced by TableDialog::setNumericFormat().

void Table::setColNumericFormat | ( | int | f,
|  | int | prec,
|  | int | col,
|  | bool | updateCells = `true`
| ) |  |

References col(), col_format, colName(), colTypes, columnNumericFormat(), d_saved_cells, d_table, modifiedData(), Numeric, setText(), and text().

void Table::setColPlotDesignation | ( | int | col,
|  | PlotDesignation | pd
| ) |  |

References col(), col_plot_type, and d_table.

Referenced by Correlation::addResultCurve(), Convolution::addResultCurve(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), and TableStatistics::TableStatistics().

void Table::setColumnHeader | ( | int | index,
|  | const QString & | label
| ) |  |

private

Internal function to change the column header.

References comments, d_show_comments, and d_table.

Referenced by setHeaderColType().

void Table::setColumnsFormat | ( | const QStringList & | lst | ) |

References col_format.

void Table::setColumnType | ( | int | col,
|  | ColType | val
| ) |  |

inline

References col(), and colTypes.

Referenced by StatisticTest::outputResultsTo(), Anova::outputResultsTo(), StatisticTest::resultTable(), Anova::resultTable(), and TableStatistics::TableStatistics().

void Table::setColumnTypes | ( | QList< int > | ctl | ) |

inline

References colTypes.

Referenced by copy(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), and restore().

void Table::setColumnTypes | ( | const QStringList & | ctl | ) |

References col_format, colTypes, and numCols().

void Table::setColumnWidth | ( | int | width,
|  | bool | allCols
| ) |  |

References d_table, MdiSubWindow::modifiedWindow(), and selectedCol.

Referenced by TableDialog::apply(), and TableDialog::setColumnWidth().

void Table::setColumnWidth | ( | int | col,
|  | int | width
| ) |  |

References d_table, and MdiSubWindow::modifiedWindow().

void Table::setColWidths | ( | const QStringList & | widths | ) |

References d_table.

Referenced by ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), and restore().

void Table::setCommand | ( | int | col,
|  | const QString & | com
| ) |  |

Set formula for column col.

References commands.

Referenced by SetColValuesDialog::apply(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), and restore().

void Table::setCommands | ( | const QStringList & | com | ) |

Set all column formulae.

References commands, and numCols().

Referenced by ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), restore(), and setCommands().

void Table::setCommands | ( | const QString & | com | ) |

Set all column formulae.

References setCommands().

bool Table::setDateFormat | ( | const QString & | format,
|  | int | col,
|  | bool | updateCells = `true`
| ) |  |

References col(), col_format, colName(), colTypes, d_saved_cells, d_table, Date, dateTime(), fromDateTime(), and modifiedData().

Referenced by TableDialog::setDateTimeFormat().

void Table::setDayFormat | ( | const QString & | format,
|  | int | col,
|  | bool | updateCells = `true`
| ) |  |

References col(), col_format, colName(), colTypes, d_saved_cells, d_table, Day, modifiedData(), and numRows().

Referenced by TableDialog::setDayFormat().

void Table::setHeader | ( | QStringList | header | ) |

References col_label, and setHeaderColType().

Referenced by LineProfileTool::calculateLineProfile(), MultiPeakFit::generateFitCurve(), ApplicationWindow::importWaveFile(), ApplicationWindow::newHiddenTable(), ApplicationWindow::openTable(), ApplicationWindow::openTableStatistics(), FFT::output(), StatisticTest::resultTable(), Anova::resultTable(), PlotDialog::showStatistics(), and TableStatistics::TableStatistics().

void Table::setHeaderColor | ( | const QColor & | col | ) |

Highlighting of the header text

References d_table.

Referenced by ConfigDialog::apply(), and ApplicationWindow::customTable().

void Table::setHeaderColType | ( |  | ) |

References col_label, col_plot_type, d_table, Label, setColumnHeader(), X, xErr, Y, yErr, and Z.

Referenced by addCol(), Correlation::addResultCurve(), Convolution::addResultCurve(), colWidthModified(), copy(), importASCII(), init(), insertCols(), loadHeader(), moveColumn(), moveColumnBy(), ApplicationWindow::openTable(), pasteSelection(), resizeCols(), restore(), setColComment(), setColName(), TableDialog::setColumnWidth(), setHeader(), setNumCols(), setPlotDesignation(), showComments(), and swapColumns().

void Table::setHeaderFont | ( | const QFont & | fnt | ) |

References d_table.

Referenced by ConfigDialog::apply(), and ApplicationWindow::customTable().

void Table::setMonthFormat | ( | const QString & | format,
|  | int | col,
|  | bool | updateCells = `true`
| ) |  |

References col(), col_format, colName(), colTypes, d_saved_cells, d_table, modifiedData(), Month, and numRows().

Referenced by TableDialog::setMonthFormat().

void Table::setNormalRandomValues | ( |  | ) |

References colIndex(), getSelection(), MdiSubWindow::modifiedWindow(), and writableSelectedColumns().

Referenced by ApplicationWindow::setNormalRandomValues().

void Table::setNormalRandomValues | ( | int | col,
|  | int | startRow = `0`,
|  | int | endRow = `-1`,
|  | double | sigma = `1.0`
| ) |  |

References colName(), columnNumericFormat(), d_table, and modifiedData().

void Table::setNumCols | ( | int | cols | ) |

References addColumns(), col_format, col_label, col_plot_type, colTypes, commands, comments, d_table, and setHeaderColType().

Referenced by extractData(), ApplicationWindow::openTableStatistics(), StatisticTest::outputResultsTo(), Anova::outputResultsTo(), TableStatistics::setColumnStatsTypes(), and Fit::writeParametersToTable().

void Table::setNumericPrecision | ( | int | prec | ) |

Sets the number of significant digits.

References col_format, colTypes, d_numeric_precision, d_table, and Numeric.

Referenced by ApplicationWindow::customTable().

void Table::setNumRows | ( | int | rows | ) |

References d_table.

Referenced by Correlation::addResultCurve(), DrawPointTool::appendPoint(), FrequencyCountDialog::apply(), extractData(), StatisticTest::outputResultsTo(), Anova::outputResultsTo(), and Fit::writeParametersToTable().

void Table::setPlotDesignation | ( | PlotDesignation | pd,
|  | bool | rightColumns = `false`
| ) |  |

References col(), col_plot_type, colIndex(), colTypes, d_table, Label, MdiSubWindow::modifiedWindow(), selectedCol, selectedColumns(), setHeaderColType(), and Text.

Referenced by ApplicationWindow::disregardCol(), ApplicationWindow::setLabelCol(), TableDialog::setPlotDesignation(), ApplicationWindow::setXCol(), ApplicationWindow::setXErrCol(), ApplicationWindow::setYCol(), ApplicationWindow::setYErrCol(), and ApplicationWindow::setZCol().

void Table::setRandomValues | ( |  | ) |

References colIndex(), getSelection(), MdiSubWindow::modifiedWindow(), and writableSelectedColumns().

Referenced by ApplicationWindow::setRandomValues().

void Table::setRandomValues | ( | int | col,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References colName(), columnNumericFormat(), d_table, and modifiedData().

void Table::setReadOnlyColumn | ( | int | col,
|  | bool | on = `true`
| ) |  |

References d_table, and MdiSubWindow::modifiedWindow().

Referenced by TableDialog::apply(), ApplicationWindow::openTable(), restore(), ApplicationWindow::setReadOnlyCol(), ApplicationWindow::setReadOnlyColumns(), and ApplicationWindow::setReadWriteColumns().

void Table::setSelectedCol | ( | int | col | ) |

inline

References col(), and selectedCol.

Referenced by moveColumnBy(), ExtractDataDialog::setTable(), SetColValuesDialog::setTable(), ApplicationWindow::showColMenu(), ApplicationWindow::showTable(), TableDialog::updateColumn(), and SetColValuesDialog::updateColumn().

void Table::setText | ( | int | row,
|  | int | col,
|  | const QString & | text
| ) |  |

References d_table.

Referenced by Correlation::addResultCurve(), Convolution::addResultCurve(), Filter::addResultCurve(), FrequencyCountDialog::apply(), LineProfileTool::calculateLineProfile(), RangeSelectorTool::clearMultipleSelection(), RangeSelectorTool::clearSelectedCurve(), BaselineDialog::createBaseline(), extractData(), FFT::fftCurve(), FFT::fftTable(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), MultiPeakFit::generateFitCurve(), ApplicationWindow::importWaveFile(), IntegrationDialog::integrateTable(), DataPickerTool::movePoint(), ApplicationWindow::newHiddenTable(), ApplicationWindow::openTable(), Differentiation::output(), StatisticTest::outputResultsTo(), Anova::outputResultsTo(), DataPickerTool::pasteSelection(), RangeSelectorTool::pasteSelection(), TableStatistics::renameCol(), StatisticTest::resultTable(), Anova::resultTable(), TranslateCurveTool::selectDestination(), setAscValues(), TableStatistics::setBase(), setColNumericFormat(), TableStatistics::TableStatistics(), TableStatistics::update(), and Fit::writeParametersToTable().

void Table::setTextColor | ( | const QColor & | col | ) |

References d_table.

void Table::setTextFont | ( | const QFont & | fnt | ) |

References d_table.

Referenced by ConfigDialog::apply(), and ApplicationWindow::customTable().

void Table::setTextFormat | ( | int | col | ) |

References col(), colTypes, and Text.

Referenced by TableDialog::setTextFormat().

bool Table::setTimeFormat | ( | const QString & | format,
|  | int | col,
|  | bool | updateCells = `true`
| ) |  |

References col(), col_format, colName(), colTypes, d_saved_cells, d_table, fromTime(), modifiedData(), and Time.

Referenced by TableDialog::setDateTimeFormat().

void Table::showAllColumns | ( |  | ) |

References d_table, and MdiSubWindow::modifiedWindow().

Referenced by ApplicationWindow::showAllColumns().

void Table::showComments | ( | bool | on = `true` | ) |

References MdiSubWindow::applicationWindow(), d_show_comments, ApplicationWindow::d_show_table_comments, d_table, and setHeaderColType().

Referenced by ConfigDialog::apply(), ApplicationWindow::customTable(), importASCII(), and pasteSelection().

void Table::showContextMenu | ( | bool | selection | ) |

signal

QString Table::sizeToString | ( |  | ) |

virtual

Size of the widget as a string.

Reimplemented from MdiSubWindow.

References d_table.

void Table::sort | ( | int | type = `0`,
|  | int | order = `0`,
|  | const QString & | leadCol = `QString()`
| ) |  |

Sort all columns as in sortColumns(const QStringList&,int,int,const QString&).

References col_label, and sortColumns().

Referenced by sortColumnsDialog(), and sortTableDialog().

void Table::sortColAsc | ( |  | ) |

Sort the current column in ascending order.

See also
  sortColDesc(), sortColumn(), Q3Table::currentColumn()

References selectedColumns(), and sortColumns().

void Table::sortColDesc | ( |  | ) |

Sort the current column in descending order.

See also
  sortColAsc(), sortColumn(), Q3Table::currentColumn()

References selectedColumns(), and sortColumns().

void Table::sortColumn | ( | int | col = `-1`,
|  | int | order = `0`
| ) |  |

Sort the specified column.

Parameters

  col | the column to be sorted
  order | 0 means ascending, anything else means descending

References cell(), col(), col_format, colName(), columnNumericFormat(), columnType(), d_table, Date, dateTime(), fromDateTime(), modifiedData(), MdiSubWindow::modifiedWindow(), Numeric, Text, and Time.

Referenced by sortColumns().

void Table::sortColumns | ( | int | type = `0`,
|  | int | order = `0`,
|  | const QString & | leadCol = `QString()`
| ) |  |

Sort selected columns as in sortColumns(const QStringList&,int,int,const QString&).

References selectedColumns().

Referenced by sort(), sortColAsc(), sortColDesc(), and sortColumnsDialog().

void Table::sortColumns | ( | const QStringList & | cols,
|  | int | type = `0`,
|  | int | order = `0`,
|  | const QString & | leadCol = `QString()`
| ) |  |

Sort the specified columns.

Parameters

  cols | the columns to be sorted
  type | 0 means sort individually (as in sortColumn()), anything else means together
  order | 0 means ascending, anything else means descending
  leadCol | for sorting together, the column which determines the permutation

References MdiSubWindow::applicationWindow(), cell(), col(), col_format, colIndex(), colName(), columnNumericFormat(), columnType(), compare_qstrings(), d_table, Date, dateTime(), fromDateTime(), modifiedData(), MdiSubWindow::modifiedWindow(), Numeric, setAutoUpdateValues(), sortColumn(), Text, text(), and Time.

void Table::sortColumnsDialog | ( |  | ) |

Display a dialog with some options for sorting the selected columns.

The sorting itself is done using sortColumns(int,int,const QString&).

References MdiSubWindow::applicationWindow(), SortDialog::insertColumnsList(), selectedColumns(), sort(), and sortColumns().

Referenced by ApplicationWindow::sortSelection().

void Table::sortTableDialog | ( |  | ) |

Display a dialog with some options for sorting all columns.

The sorting itself is done using sort(int,int,const QString&).

References MdiSubWindow::applicationWindow(), colNames(), SortDialog::insertColumnsList(), and sort().

Referenced by ApplicationWindow::sortActiveTable().

double Table::sum | ( | int | col,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References colTypes, d_table, and Numeric.

Referenced by avg(), and muParserScript::sum().

void Table::swapColumns | ( | int | col1,
|  | int | col2
| ) |  |

References col_format, col_label, col_plot_type, colIndexChanged(), colTypes, commands, comments, d_table, MdiSubWindow::modifiedWindow(), and setHeaderColType().

Referenced by moveColumnBy(), and ApplicationWindow::swapColumns().

MyTable* Table::table | ( |  | ) |

inline slot

References d_table.

Referenced by RangeSelectorTool::clearMultipleSelection(), RangeSelectorTool::clearSelectedCurve(), ApplicationWindow::connectTable(), BaselineDialog::createBaseline(), FitDialog::deleteFitCurves(), ApplicationWindow::deleteFitTables(), exportODF(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), FrequencyCountDialog::FrequencyCountDialog(), DataPickerTool::movePoint(), ApplicationWindow::newStemPlot(), ApplicationWindow::openTable(), StatisticTest::outputResultsTo(), Anova::outputResultsTo(), LegendWidget::parse(), DataPickerTool::pasteSelection(), RangeSelectorTool::pasteSelection(), DataPickerTool::removePoint(), StatisticTest::resultTable(), Anova::resultTable(), DataPickerTool::selectTableRow(), CurveRangeDialog::setCurveToModify(), ExtractDataDialog::setTable(), SetColValuesDialog::setTable(), ApplicationWindow::showColumnValuesDialog(), Fit::showConfidenceLimits(), ApplicationWindow::showFrequencyCountDialog(), Fit::showPredictionLimits(), Fit::showResiduals(), ApplicationWindow::showTable(), TableDialog::updateColumn(), SetColValuesDialog::updateColumn(), ImageWidget::windowPixmap(), and Fit::writeParametersToTable().

QString Table::text | ( | int | row,
|  | int | col
| ) |  |

References d_table.

Referenced by CreateBinMatrixDialog::accept(), ErrDialog::add(), Graph3D::addRibbon(), cellEdited(), muParserScript::col(), copy(), copySelection(), BaselineDialog::createBaseline(), Graph3D::dropEvent(), Graph::dropEvent(), RangeSelectorTool::emitStatusText(), SubtractLineTool::finalize(), FrequencyCountDialog::FrequencyCountDialog(), PieCurve::initLabels(), Graph::insertCurve(), SubtractDataDialog::interpolate(), isEmptyColumn(), isEmptyRow(), QwtHistogram::loadData(), VectorCurve::loadData(), ErrorBarsCurve::loadData(), PieCurve::loadData(), BoxCurve::loadData(), Graph3D::loadData(), DataCurve::loadData(), GriddingDialog::loadDataFromTable(), DataCurve::loadLabels(), DataPickerTool::movePoint(), LegendWidget::parse(), pasteSelection(), print(), TableStatistics::removeCol(), TableStatistics::renameCol(), resizeCols(), resizeRows(), TranslateCurveTool::selectDestination(), setColName(), setColNumericFormat(), Statistics::setData(), Convolution::setDataFromTable(), Filter::setDataFromTable(), Graph::setLabelsTextFormat(), DataPickerTool::setSelection(), ApplicationWindow::showCurveWorksheet(), ApplicationWindow::showFrequencyCountDialog(), sortColumns(), ApplicationWindow::stemPlot(), BaselineDialog::subtractBaseline(), muParserScript::tableCell(), muParserScript::tablecol(), DataCurve::tableRow(), ApplicationWindow::tableToMatrixRegularXYZ(), TableStatistics::update(), Graph3D::updateDataXY(), and Graph3D::updateScales().

void Table::updateDecimalSeparators | ( | const QLocale & | oldSeparators | ) |

Updates the decimal separators when importing ASCII files on user request.

References colTypes, columnNumericFormat(), d_table, and Numeric.

Referenced by importASCII().

void Table::updateValues | ( | Table * | t,
|  | const QString & | columnName
| ) |  |

Recalculates values in all columns with formulas containing.

Parameters

  columnName |

References calculate(), col_label, colLabel(), colTypes, commands, numCols(), Numeric, and numRows().

Referenced by notifyChanges(), and setAutoUpdateValues().

int Table::verticalHeaderWidth | ( |  | ) |

inline

References d_table.

Referenced by ApplicationWindow::importASCII().

QStringList Table::writableSelectedColumns | ( |  | ) |

References col(), colIndex(), colName(), d_table, getSelection(), MdiSubWindow::name(), and selectedColumns().

Referenced by normalizeSelection(), setAscValues(), setNormalRandomValues(), and setRandomValues().

QStringList Table::YColumns | ( |  | ) |

References col_label, col_plot_type, d_table, MdiSubWindow::name(), and Y.

Referenced by CurvesDialog::addCurves(), and ApplicationWindow::plotFile().

## Member Data Documentation

QStringList Table::col_format

private

Referenced by addCol(), addColumns(), calculate(), cell(), columnFormat(), columnNumericFormat(), copy(), getColumnsFormat(), importASCII(), init(), insertCols(), moveColumn(), moveColumnBy(), muParserCalculate(), removeCol(), resizeCols(), saveColumnTypes(), saveToMemory(), setAscValues(), setColNumericFormat(), setColumnsFormat(), setColumnTypes(), setDateFormat(), setDayFormat(), setMonthFormat(), setNumCols(), setNumericPrecision(), setTimeFormat(), sortColumn(), sortColumns(), and swapColumns().

QStringList Table::col_label

private

Referenced by addCol(), addColumns(), calculate(), clearSelection(), colIndex(), colLabel(), colName(), colNames(), columnsList(), copy(), drawableColumnSelection(), importASCII(), init(), insertCols(), loadHeader(), moveColumn(), moveColumnBy(), normalize(), pasteSelection(), removeCol(), resizeCols(), selectedColumns(), selectedErrColumns(), selectedYColumns(), selectedYLabels(), setColName(), setHeader(), setHeaderColType(), setNumCols(), sort(), swapColumns(), updateValues(), and YColumns().

QList<int> Table::col_plot_type

private

Referenced by addCol(), addColumns(), colPlotDesignation(), colX(), colY(), copy(), drawableColumnSelection(), firstXCol(), importASCII(), init(), insertCols(), loadHeader(), moveColumn(), moveColumnBy(), noXColumn(), noYColumn(), plotDesignations(), removeCol(), resizeCols(), saveHeader(), selectedErrColumns(), selectedYColumns(), selectedYLabels(), setColPlotDesignation(), setHeaderColType(), setNumCols(), setPlotDesignation(), swapColumns(), and YColumns().

QList<int> Table::colTypes

private

Referenced by addCol(), addColumns(), avg(), calculate(), cell(), columnType(), columnTypes(), importASCII(), init(), insertCols(), maxColumnValue(), minColumnValue(), moveColumn(), moveColumnBy(), muParserCalculate(), normalizeCol(), removeCol(), resizeCols(), save(), saveColumnTypes(), saveToMemory(), setAscValues(), setColNumericFormat(), setColumnType(), setColumnTypes(), setDateFormat(), setDayFormat(), setMonthFormat(), setNumCols(), setNumericPrecision(), setPlotDesignation(), setTextFormat(), setTimeFormat(), sum(), swapColumns(), updateDecimalSeparators(), and updateValues().

QStringList Table::commands

private

Referenced by addCol(), addColumns(), calculate(), clearCommands(), copy(), getCommands(), importASCII(), init(), insertCols(), moveColumn(), moveColumnBy(), muParserCalculate(), removeCol(), resizeCols(), saveCommands(), setColName(), setCommand(), setCommands(), setNumCols(), swapColumns(), and updateValues().

QStringList Table::comments

private

Referenced by addCol(), addColumns(), colComments(), comment(), copy(), exportASCII(), exportODF(), importASCII(), init(), insertCols(), moveColumn(), moveColumnBy(), pasteSelection(), removeCol(), resizeCols(), saveComments(), setColComment(), setColComments(), setColumnHeader(), setNumCols(), swapColumns(), and TableStatistics::TableStatistics().

int Table::d_numeric_precision

private

Referenced by addCol(), addColumns(), init(), insertCols(), and setNumericPrecision().

double** Table::d_saved_cells

private

Referenced by freeMemory(), init(), saveToMemory(), setColNumericFormat(), setDateFormat(), setDayFormat(), setMonthFormat(), and setTimeFormat().

bool Table::d_show_comments

private

Referenced by commentsEnabled(), copy(), init(), pasteSelection(), setColComment(), setColumnHeader(), and showComments().

MyTable* Table::d_table

protected

Referenced by addCol(), addColumns(), adjustColumnsWidth(), avg(), calculate(), cell(), cellEdited(), clear(), clearCell(), clearCol(), clearSelection(), col(), colLabel(), columnRange(), columnsList(), columnWidth(), columnWidths(), colX(), comment(), copy(), copySelection(), deleteRows(), deleteSelectedRows(), deselect(), drawableColumnSelection(), eventFilter(), exportASCII(), exportODF(), extractData(), firstSelectedColumn(), firstXCol(), freeMemory(), getSelection(), goToColumn(), goToRow(), hideColumn(), hideSelectedColumns(), importASCII(), init(), insertCols(), insertRow(), isColumnHidden(), isColumnSelected(), isEmptyColumn(), isEmptyRow(), isReadOnlyColumn(), isRowSelected(), maxColumnValue(), minColumnValue(), moveColumnBy(), moveCurrentCell(), moveRow(), muParserCalculate(), nonEmptyRows(), normalize(), normalizeCol(), notifyChanges(), noXColumn(), noYColumn(), numCols(), numRows(), numSelectedRows(), pasteSelection(), print(), TableStatistics::removeCol(), removeCol(), resizeCols(), resizeRows(), save(), saveColumnTypes(), saveColumnWidths(), saveComments(), saveHeader(), saveHiddenColumnsInfo(), saveReadOnlyInfo(), saveToMemory(), selectAllTable(), selectedColsNumber(), selectedColumns(), selectedErrColumns(), selectedYColumns(), selectedYLabels(), setAscValues(), setBackgroundColor(), setCell(), setColComment(), setColName(), setColNumericFormat(), setColPlotDesignation(), setColumnHeader(), setColumnWidth(), setColWidths(), setDateFormat(), setDayFormat(), setHeaderColor(), setHeaderColType(), setHeaderFont(), setMonthFormat(), setNormalRandomValues(), setNumCols(), setNumericPrecision(), setNumRows(), setPlotDesignation(), setRandomValues(), setReadOnlyColumn(), setText(), setTextColor(), setTextFont(), setTimeFormat(), showAllColumns(), showComments(), sizeToString(), sortColumn(), sortColumns(), sum(), swapColumns(), table(), TableStatistics::TableStatistics(), text(), updateDecimalSeparators(), verticalHeaderWidth(), writableSelectedColumns(), and YColumns().

int Table::selectedCol

private

Referenced by clearCol(), clearSelection(), eventFilter(), init(), insertCol(), moveColumnBy(), normalizeCol(), selectedColumn(), setAscValues(), setColumnWidth(), setPlotDesignation(), and setSelectedCol().

The documentation for this class was generated from the following files:

- qtiplot/src/table/Table.h
- qtiplot/src/table/Table.cpp